POST api/PolicyAICallLog/UpdateElastic
Update policy AI log record.
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "50dbb7ea-7446-4de5-a229-625239f35e82",
"aiVendor": 1,
"lastCallTime": "2026-11-19T13:37:08.2372386-06:00",
"policyId": "96a649cb-bad2-4703-8974-c06e8d8ac2df",
"agencyId": "9cba607e-980b-42ba-8fd1-1732d0d527ea",
"callId": "sample string 5",
"userId": "c81bd60e-f203-44c6-b8f8-081864224cd6",
"createDate": "2026-11-19T13:37:08.2372386-06:00",
"changeDate": "2026-11-19T13:37:08.2372386-06:00",
"taskId": "f66d8805-d68f-47ff-b76a-0df8e421842b",
"callType": 1,
"id": "619636c4-21f0-4008-9f7b-72595675c063",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>9cba607e-980b-42ba-8fd1-1732d0d527ea</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-11-19T13:37:08.2372386-06:00</ChangeDate> <CreateDate>2026-11-19T13:37:08.2372386-06:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>619636c4-21f0-4008-9f7b-72595675c063</Id> <LastCallTime>2026-11-19T13:37:08.2372386-06:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>96a649cb-bad2-4703-8974-c06e8d8ac2df</PolicyId> <Status>Failed</Status> <TaskId>f66d8805-d68f-47ff-b76a-0df8e421842b</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>50dbb7ea-7446-4de5-a229-625239f35e82</TruckingCompanyId> <UserId>c81bd60e-f203-44c6-b8f8-081864224cd6</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>